# -- Project information -----------------------------------------------------
project = "GÉANT Service Orchestrator"
copyright = "2023, GÉANT Vereniging"
author = "GÉANT Orchestration and Automation Team"

# -- General configuration ---------------------------------------------------
extensions = ["sphinx_rtd_theme", "sphinx.ext.autodoc", "sphinxcontrib.jquery"]

templates_path = ["templates"]
exclude_patterns = ["build", "Thumbs.db", ".DS_Store", "venv", "vale", "__init__.py"]

# -- Options for HTML output -------------------------------------------------
html_theme = "sphinx_rtd_theme"
html_static_path = ["static"]
html_theme_options = {
    "style_nav_header_background": "rgb(0 63 95)",
}
html_css_files = ["custom.css"]
html_js_files = ["custom.js"]
html_logo = "static/geant_logo_white.svg"

# Both the class' and the ``__init__`` method's docstring are concatenated and inserted.
autoclass_content = "both"
autodoc_typehints = "none"

# Display todos by setting to True
todo_include_todos = True
